Bug 835882 - php.ini file is missing max_file_uploads INI setting
php.ini file is missing max_file_uploads INI setting
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: php (Show other bugs)
6.3
All Linux
unspecified Severity low
: rc
: ---
Assigned To: Web Stack Team
BaseOS QE - Apps
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-27 08:27 EDT by Vojtech Vitek
Modified: 2015-03-04 18:57 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-29 09:29:35 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
PATCH to fix the missing directive in php.ini (804 bytes, application/octet-stream)
2012-06-27 08:27 EDT, Vojtech Vitek
no flags Details
PATCH to fix the missing INI setting in php.ini (906 bytes, patch)
2012-06-27 08:34 EDT, Vojtech Vitek
no flags Details | Diff

  None (edit)
Description Vojtech Vitek 2012-06-27 08:27:26 EDT
Created attachment 594751 [details]
PATCH to fix the missing directive in php.ini

php.ini file is missing the max_file_uploads INI setting that was revealed in PHP 5.3.1.

PHP silently sets max_file_uploads = 20.

Users are not notified about the possibility to change the default value (maximum files allowed to be uploaded by PHP) and they can't it in the php.ini file even after fresh installation.
Comment 1 Vojtech Vitek 2012-06-27 08:34:55 EDT
Created attachment 594754 [details]
PATCH to fix the missing INI setting in php.ini
Comment 3 Joe Orton 2012-08-16 11:10:07 EDT
Thanks for the report, but I think that omission is fine, we generally try to avoid changing the .ini and spamming customer systems with .rpmsave/.rpmnew files in errata.  It's not causing any problem, right?
Comment 4 RHEL Product and Program Management 2012-12-14 02:59:53 EST
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 5 Vojtech Vitek 2013-01-29 09:29:35 EST
Ok, closing as NOTABUG.

Note You need to log in before you can comment on or make changes to this bug.